> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lucitra.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Webhook

> Register a webhook for validation events.



## OpenAPI

````yaml /openapi.json post /v1/webhooks
openapi: 3.1.0
info:
  title: Lucitra Validate API
  version: 0.1.0
servers: []
security: []
paths:
  /v1/webhooks:
    post:
      tags:
        - webhooks
      summary: Create Webhook
      description: Register a webhook for validation events.
      operationId: create_webhook_v1_webhooks_post
      parameters:
        - name: authorization
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/WebhookCreate'
      responses:
        '201':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WebhookCreateResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    WebhookCreate:
      properties:
        url:
          type: string
          title: Url
        events:
          items:
            type: string
          type: array
          title: Events
        secret:
          anyOf:
            - type: string
            - type: 'null'
          title: Secret
        format:
          anyOf:
            - type: string
            - type: 'null'
          title: Format
      type: object
      required:
        - url
        - events
      title: WebhookCreate
    WebhookCreateResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        secret:
          type: string
          title: Secret
      type: object
      required:
        - id
        - secret
      title: WebhookCreateResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````